> ## Documentation Index
> Fetch the complete documentation index at: https://www.seam.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Unmanaged Access Grants

> Gets unmanaged Access Grants (where is_managed = false).



## OpenAPI

````yaml /openapi.json get /access_grants/unmanaged/list
openapi: 3.0.0
info:
  description: >-
    Programmable API to control locks, thermostats, noise sensors, cameras,
    access control systems, and other IoT devices.


    Prefer the official Seam SDKs over hand-written HTTP calls: they handle

    authentication, request serialization, pagination, and error handling for

    you. The official SDKs are listed in this document under

    `info.x-seam-sdks`.


    If you call the HTTP API directly, your query parameters must be

    serialized compatibly with the Seam API. There is no universal convention

    for serializing arrays, booleans, or nested objects in a query string, so

    use @seamapi/url-search-params-serializer, the language specific serializer
    module provided by each Seam SDK, or follow its specification:

    https://github.com/seamapi/url-search-params-serializer
  title: Seam Connect
  version: 1.0.0
  x-seam-query-serializer:
    description: >-
      Reference implementation and specification for query parameter
      serialization compatible with the Seam API.
    url: https://github.com/seamapi/url-search-params-serializer
  x-seam-sdks:
    - language: javascript
      url: https://github.com/seamapi/javascript
    - language: python
      url: https://github.com/seamapi/python
    - language: ruby
      url: https://github.com/seamapi/ruby
    - language: php
      url: https://github.com/seamapi/php
    - language: csharp
      url: https://github.com/seamapi/csharp
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_grants/unmanaged/list:
    get:
      tags: []
      summary: List Unmanaged Access Grants
      description: Gets unmanaged Access Grants (where is_managed = false).
      operationId: accessGrantsUnmanagedListGet
      parameters:
        - in: query
          name: user_identity_id
          schema:
            description: >-
              ID of user identity by which you want to filter the list of
              unmanaged Access Grants.
            format: uuid
            type: string
        - in: query
          name: acs_system_id
          schema:
            description: >-
              ID of the access system by which you want to filter the list of
              unmanaged Access Grants.
            format: uuid
            type: string
        - in: query
          name: acs_entrance_id
          schema:
            description: >-
              ID of the entrance by which you want to filter the list of
              unmanaged Access Grants.
            format: uuid
            type: string
        - in: query
          name: reservation_key
          schema:
            description: Filter unmanaged Access Grants by reservation_key.
            minLength: 1
            type: string
        - in: query
          name: limit
          schema:
            default: 500
            description: >-
              Numerical limit on the number of unmanaged access grants to
              return.
            format: float
            type: number
        - in: query
          name: page_cursor
          schema:
            description: >-
              Identifies the specific page of results to return, obtained from
              the previous page's `next_page_cursor`.
            nullable: true
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  access_grants:
                    items:
                      $ref: '#/components/schemas/unmanaged_access_grant'
                    type: array
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - access_grants
                  - pagination
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
        - client_session_with_customer_ro: []
        - support_read_only_token: []
components:
  schemas:
    unmanaged_access_grant:
      description: >-
        Represents an unmanaged Access Grant. Unmanaged Access Grants do not
        have client sessions, instant keys, customization profiles, or keys.
      properties:
        access_grant_id:
          description: ID of the Access Grant.
          format: uuid
          type: string
        access_method_ids:
          description: IDs of the access methods created for the Access Grant.
          items:
            format: uuid
            type: string
          type: array
        created_at:
          description: Date and time at which the Access Grant was created.
          format: date-time
          type: string
        display_name:
          description: Display name of the Access Grant.
          type: string
        ends_at:
          description: Date and time at which the Access Grant ends.
          format: date-time
          nullable: true
          type: string
        errors:
          description: >-
            Errors associated with the [access
            grant](/use-cases/granting-access).
          items:
            discriminator:
              propertyName: error_code
            oneOf:
              - description: >-
                  Indicates that Seam could not create one or more of the
                  requested access methods for the access grant.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - cannot_create_requested_access_methods
                    type: string
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                  missing_device_ids:
                    description: >-
                      IDs of the devices that did not receive an access code at
                      grant creation. Use these to identify which specific
                      devices failed when the message reports a partial failure.
                    items:
                      format: uuid
                      type: string
                    type: array
                required:
                  - created_at
                  - message
                  - error_code
                type: object
                x-resource-type: access_grant
          type: array
        location_ids:
          deprecated: true
          items:
            format: uuid
            type: string
          type: array
          description: Deprecated. Use `space_ids`.
        name:
          description: >-
            Name of the Access Grant. If not provided, the display name will be
            computed.
          nullable: true
          type: string
        pending_mutations:
          description: >-
            List of pending mutations for the access grant. This shows updates
            that are in progress.
          items:
            discriminator:
              propertyName: mutation_code
            oneOf:
              - description: >-
                  Seam is in the process of updating the devices/spaces
                  associated with this access grant.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Previous location configuration.
                    properties:
                      device_ids:
                        description: Previous device IDs where access codes existed.
                        items:
                          format: uuid
                          type: string
                        type: array
                    required:
                      - device_ids
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      updating the spaces (devices) associated with this access
                      grant.
                    enum:
                      - updating_spaces
                    type: string
                  to:
                    description: New location configuration.
                    properties:
                      common_code_key:
                        description: >-
                          Common code key to ensure PIN code reuse across
                          devices.
                        nullable: true
                        type: string
                      device_ids:
                        description: New device IDs where access codes should be created.
                        items:
                          format: uuid
                          type: string
                        type: array
                    required:
                      - device_ids
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - from
                  - to
                type: object
              - description: >-
                  Seam is in the process of updating the access times for this
                  access grant.
                properties:
                  access_method_ids:
                    description: IDs of the access methods being updated.
                    items:
                      format: uuid
                      type: string
                    type: array
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Previous access time configuration.
                    properties:
                      ends_at:
                        description: Previous end time for access.
                        format: date-time
                        nullable: true
                        type: string
                      starts_at:
                        description: Previous start time for access.
                        format: date-time
                        nullable: true
                        type: string
                    required:
                      - starts_at
                      - ends_at
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      updating the access times for this access grant.
                    enum:
                      - updating_access_times
                    type: string
                  to:
                    description: New access time configuration.
                    properties:
                      ends_at:
                        description: New end time for access.
                        format: date-time
                        nullable: true
                        type: string
                      starts_at:
                        description: New start time for access.
                        format: date-time
                        nullable: true
                        type: string
                    required:
                      - starts_at
                      - ends_at
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - access_method_ids
                  - from
                  - to
                type: object
          type: array
        requested_access_methods:
          description: Access methods that the user requested for the Access Grant.
          items:
            properties:
              code:
                description: >-
                  Specific PIN code to use for this access method. Only
                  applicable when mode is 'code'.
                maxLength: 9
                minLength: 4
                pattern: ^\d+$
                type: string
              created_access_method_ids:
                description: >-
                  IDs of the access methods created for the requested access
                  method.
                items:
                  format: uuid
                  type: string
                type: array
              created_at:
                description: >-
                  Date and time at which the requested access method was added
                  to the Access Grant.
                format: date-time
                type: string
              display_name:
                description: Display name of the access method.
                type: string
              instant_key_max_use_count:
                description: >-
                  Maximum number of times the instant key can be used. Only
                  applicable when mode is 'mobile_key'. Defaults to 1 if not
                  specified.
                minimum: 1
                type: integer
              mode:
                description: >-
                  Access method mode. Supported values: `code`, `card`,
                  `mobile_key`, `cloud_key`.
                enum:
                  - code
                  - card
                  - mobile_key
                  - cloud_key
                type: string
            required:
              - display_name
              - mode
              - created_at
              - created_access_method_ids
            type: object
          type: array
        reservation_key:
          description: Reservation key for the access grant.
          type: string
        space_ids:
          description: IDs of the spaces to which the Access Grant gives access.
          items:
            format: uuid
            type: string
          type: array
        starts_at:
          description: Date and time at which the Access Grant starts.
          format: date-time
          type: string
        user_identity_id:
          description: ID of user identity to which the Access Grant gives access.
          format: uuid
          type: string
        warnings:
          type: array
          description: >-
            Warnings associated with the [access
            grant](/use-cases/granting-access).
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
        workspace_id:
          description: ID of the Seam workspace associated with the Access Grant.
          format: uuid
          type: string
      required:
        - workspace_id
        - access_grant_id
        - location_ids
        - space_ids
        - requested_access_methods
        - access_method_ids
        - name
        - display_name
        - created_at
        - starts_at
        - ends_at
        - warnings
        - errors
        - pending_mutations
      type: object
      x-route-path: /access_grants/unmanaged
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    client_session_with_customer_ro:
      bearerFormat: Customer Client Session Token (Read-Only)
      scheme: bearer
      type: http
    support_read_only_token:
      bearerFormat: Support Read-Only Token
      scheme: bearer
      type: http

````